<?php
/**
* Plugin Name: Zorem Featured Video
* Plugin URI: http://www.zorem.com
* Description: 
* Version: 1.0
* Author: zorem
* Author URI: http://www.zorem.com
* License: GPL2
*/

class ZFV_Featured_Video{
	public function __construct() {		
		$this->init();
	}
	public function init() {
		//add js css
		add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_script'), 200 );
		add_action( 'add_meta_boxes', array( $this, 'rm_register_meta_box') );
		add_action('save_post', array( $this, "wpt_save_events_meta") , 1, 2); // save the custom fields
		add_action("flatsome_blog_post_before", array( $this, "archive_feature_video") );
	}
	
	/*
	* Method enqueue_script
	* js/css load
	*/
	function enqueue_script(){
		//wp_enqueue_script( 'ZFV', plugin_dir_url( __FILE__ ) . 'js/script.js',  array ( 'jquery' ), 1.1, true);
		wp_enqueue_style( 'ZFV', plugin_dir_url( __FILE__ ).'css/style.css', array(), '1.1', 'all');
	}
	
	public function rm_register_meta_box() {
		add_meta_box( 'featured_video', 'Featured video', array( $this, 'featured_video_adminhtml' ) , 'post', 'side', 'high' );
	}
	
	public function featured_video_adminhtml( $post ) {
		$featured_video_url = get_post_meta( $post->ID, "featured_video_url", true);
		?>
        	<input type="text" name="zfv[featured_video_url]" id="featured_video_url" value="<?php echo $featured_video_url?>">
            <p style="word-break: break-all;">Ex: https://www.youtube.com/embed/tgbNymZ7vqY <br> use only video id : tgbNymZ7vqY</p>
            <style>#featured_video_url {width: 100%;}</style>
		<?php
	}

	public function wpt_save_events_meta($post_id, $post){
		if($post->post_type == 'post' && $zfv=$_POST['zfv']){
			foreach((array)$zfv as $key => $value){
				update_post_meta($post->ID, $key, $value);
			}
		}
	}

	public function archive_feature_video(){
		global $post;
		//echo $post->ID;
		$featured_video_url = get_post_meta( $post->ID, "featured_video_url", true);
		if( !$featured_video_url )return;
		
		?>
			<div class="zfv zfv_archive"><iframe src="https://www.youtube.com/embed/<?php echo $featured_video_url;?>" frameborder="0"></iframe></div>
		<?php
	}
}
new ZFV_Featured_Video;

function single_post_video(){
	global $post;
	//echo $post->ID;
	$featured_video_url = get_post_meta( $post->ID, "featured_video_url", true);
	if( !$featured_video_url )return;
	
	?>
		<div class="zfv"><iframe src="https://www.youtube.com/embed/<?php echo $featured_video_url;?>" frameborder="0"></iframe></div>
	<?php
}